
# David - 2.2.1-3mdk - Reminder: 7.2 is for IA32 only
#                                8.0 is for IA32 and PPC
#                                8.1 is for IA32 and IA64
#                                8.2 is for IA32, IA64 and PPC

# David - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}

# David - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor9_1
%define unstable 0
%else
%define unstable 0
%endif

Name:		kdemultimedia
Icon:		kde-icon.xpm
Summary:	K Desktop Environment - Multimedia
Version:	3.1
Release:	10mdk
Epoch:		1
Group:		Graphical desktop/KDE
License:	GPL
URL:		http://www.kde.org/

Source:		kdemultimedia-3.1.tar.bz2

# Laurent - 3.1-rc6-2mdk - fix kcontrol audiocd sync
# Remove it for kde3.2
Patch1:	kdemultimedia-3.1-sync-audiocd.patch.bz2

# Laurent - 3.1-rc6-4mdk - fix mem leak in arts
# Remove it for kde3.2 patch commited into kde3.2
Patch2:		kdemultimedia-3.1-fix-mem-leak.patch.bz2

# Laurent - 3.1-rc6-6mdk - fix mem leak in arts
# Remove it for kde3.2
Patch3:		kdemultimedia-3.1-fix-mem-leak5.patch.bz2

# Laurent - 3.1-10mdk : fix from kde3.1 branch
Patch4:		kdemultimedia-3.1-fix-2003-03-05.patch.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	arts 
Obsoletes:	kdemultimedia3
Provides:	kdemultimedia3

conflicts:	TiMidity++

BuildRequires:  kdelibs-devel >= 3.1 cdparanoia libxine1-devel

%description
Multimedia tools for the K Desktop Environment.
	- noatun: a multimedia player for sound and movies, very extensible due 
			  to it's plugin interface
	- aktion: a player specialiced on movies, needs xanim
	- kaudiocreator: CD ripper and audio encoder frontend.
	- kaboodle: light media player
	- kmid: A standalone and embeddable midi player, includes a karaoke-mode
	- kmidi: midi player, can use sound patch files and create a WAV file
	- kmix: the audio mixer as a standalone program and Kicker applet
	- kscd: A CD player with an interface to the internet CDDB database
	- krec: A recording frontend using aRts


%package devel
Summary:	Header files for kdemultimedia
Group:		Development/KDE and Qt
PreReq:		%name = %version-%release

Obsoletes:  kdemultimedia3-devel
Provides:   kdemultimedia3-devel

%description devel
Header files needed for developing kdemultimedia applications.


%package aktion
Summary:	KDE video player
Group:          Graphical desktop/KDE
PreReq:       %name = %version-%release

Obsoletes:  kdemultimedia3-aktion
Provides:   kdemultimedia3-aktion
 
%description aktion
KDE video Player.


%prep


%setup -q 
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure



%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
	./configure --prefix=%_prefix \
				--libdir=%_libdir \
                    --build=%_target_platform \
		    --host=%_target_platform \
%if %unstable
			--enable-debug=full \
%else
			--disable-debug \
%endif
		    --enable-shared \
		    --disable-static \
		    --disable-embedded \
		    --disable-palmtop \
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
		    --with-xinerama \
%ifarch %ix86
                    --with-alsa \
%endif
%if %buildfor9_0
				--without-alsa
%endif



make



%install
rm -fr %buildroot
export PATH=%_bindir:$PATH
# David - 2.2-0.alpha2.4mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot


# Create LMDK structure
install -d %buildroot/%_menudir/

# %%_datadir/applnk/Multimedia/
kdedesktop2mdkmenu.pl kdemultimedia-aktion Multimedia/Video %buildroot/%_datadir/applnk/Multimedia/More/aktion.desktop %buildroot/%_menudir/kdemultimedia-aktion kde
kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound %buildroot/%_datadir/applnk/Multimedia/More/artsbuilder.desktop %buildroot/%_menudir/kdemultimedia-artsbuilder kde
kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound %buildroot/%_datadir/applnk/Multimedia/More/artscontrol.desktop %buildroot/%_menudir/kdemultimedia-artscontrol kde

kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound %buildroot/%_datadir/applnk/Multimedia/More/kmid.desktop %buildroot/%_menudir/kdemultimedia-kmid kde

kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound %buildroot/%_datadir/applnk/Multimedia/More/kmidi.desktop %buildroot/%_menudir/kdemultimedia-kmidi kde
kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound %buildroot/%_datadir/applnk/Multimedia/kmix.desktop %buildroot/%_menudir/kdemultimedia-kmix kde
kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound %buildroot/%_datadir/applnk/Multimedia/kscd.desktop %buildroot/%_menudir/kdemultimedia-kscd kde
kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound %buildroot/%_datadir/applnk/Multimedia/noatun.desktop %buildroot/%_menudir/kdemultimedia-noatun kde
kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound %buildroot/%_datadir/applnk/Multimedia/More/timidity.desktop %buildroot/%_menudir/kdemultimedia-ktimidity kde

kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound %buildroot/%_datadir/applnk/Multimedia/kaboodle.desktop %buildroot/%_menudir/kdemultimedia-kaboodle kde
kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound %buildroot/%_datadir/applnk/Multimedia/kaudiocreator.desktop %buildroot/%_menudir/kdemultimedia-kaudiocreator kde
kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound %buildroot/%_datadir/applnk/Multimedia/krec.desktop %buildroot/%_menudir/kdemultimedia-krec kde


# %%_datadir/applnk/Settings/Sound/
kdedesktop2mdkmenu.pl kdemultimedia Configuration/KDE/Sound %buildroot/%_datadir/applnk/Settings/Sound/audiocd.desktop %buildroot/%_menudir/kdemultimedia-audiocd kde




# David - 2.1-1mdk - Title of %buildroot/%_menudir/kdemultimedia-kmidi is
#                    "Midi/Karaoke". "Midi/" create a new and non wished
#                    subdirectory. Foolowing command fix that
perl -pi -e "s|Midi\/|Midi and |" %buildroot/%_menudir/kdemultimedia-kmid


# David - 2.2-0.beta1.1mdk - Remove some non legal songs
for i in %buildroot/%_datadir/apps/kmidi/*.mid ; do rm -f $i ; done

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%post aktion
/sbin/ldconfig
%update_menus

%postun aktion
/sbin/ldconfig
%clean_menus


%clean
rm -fr %buildroot


%files
%defattr(-,root,root)
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/artsbuilder/
%doc %_docdir/HTML/en/artsbuilder/common
%doc %_docdir/HTML/en/artsbuilder/*.docbook
%doc %_docdir/HTML/en/artsbuilder/*.png
%doc %_docdir/HTML/en/artsbuilder/*.bz2
#
%dir %_docdir/HTML/en/artsbuilder/images/
%_docdir/HTML/en/artsbuilder/images/*.png
#
#
%dir %_docdir/HTML/en/kmid/
%doc %_docdir/HTML/en/kmid/common
%doc %_docdir/HTML/en/kmid/*.docbook
%doc %_docdir/HTML/en/kmid/*.bz2
#
#
%dir %_docdir/HTML/en/kmidi/
%doc %_docdir/HTML/en/kmidi/common
%doc %_docdir/HTML/en/kmidi/*.docbook
%doc %_docdir/HTML/en/kmidi/FAQ
%doc %_docdir/HTML/en/kmidi/*.bz2
#
#
%dir %_docdir/HTML/en/kmix/
%doc %_docdir/HTML/en/kmix/common
%doc %_docdir/HTML/en/kmix/*.docbook
%doc %_docdir/HTML/en/kmix/*.bz2
#
#
%dir %_docdir/HTML/en/kscd/
%doc %_docdir/HTML/en/kscd/common
%doc %_docdir/HTML/en/kscd/*.docbook
%doc %_docdir/HTML/en/kscd/*.png
%doc %_docdir/HTML/en/kscd/*.bz2
#
#
%dir %_docdir/HTML/en/noatun/
%doc %_docdir/HTML/en/noatun/common
%doc %_docdir/HTML/en/noatun/*.docbook
%doc %_docdir/HTML/en/noatun/*.bz2
#
#
%dir %_docdir/HTML/en/kaboodle/
%doc %_docdir/HTML/en/kaboodle/common
%doc %_docdir/HTML/en/kaboodle/*.bz2
%doc %_docdir/HTML/en/kaboodle/*.docbook

%dir %_docdir/HTML/en/kcontrol/
%dir %_docdir/HTML/en/kcontrol/kmixcfg/
%doc %_docdir/HTML/en/kcontrol/kmixcfg/common
%doc %_docdir/HTML/en/kcontrol/kmixcfg/*.bz2
%doc %_docdir/HTML/en/kcontrol/kmixcfg/*.docbook

%dir %_docdir/HTML/en/krec/
%doc %_docdir/HTML/en/krec/common
%doc %_docdir/HTML/en/krec/*.bz2
%doc %_docdir/HTML/en/krec/*.docbook
%doc %_docdir/HTML/en/krec/*.png

#
%_bindir/artsbuilder
%_bindir/artscontrol
%_bindir/kmid
%_bindir/kmidi
%_bindir/kmix
%_bindir/kmixctrl
%_bindir/kscd
%_bindir/midisend
%_bindir/mpeglibartsplay
%_bindir/noatun
%_bindir/sf2cfg
%_bindir/timidity
%_bindir/workman2cddb.pl
%_bindir/yaf-cdda
%_bindir/yaf-mpgplay
%_bindir/yaf-splay
%_bindir/yaf-tplay
%_bindir/yaf-vorbis
%_bindir/yaf-yuv
%_bindir/kaboodle
%_bindir/kaudiocreator
%_bindir/krec

#
#
#
#
#
%_libdir/kaboodle.la
%_libdir/kmix.la
%_libdir/kmixctrl.la
%_libdir/libarts_mpeglib.la
%_libdir/libarts_splay.la
%_libdir/libartsbuilder.la
%_libdir/libartseffects.la
%_libdir/libartsgui.la
%_libdir/libartsgui_idl.la
%_libdir/libartsgui_kde.la
%_libdir/libartsmidi.la
%_libdir/libartsmidi_idl.la
%_libdir/libartsmodules.la
%_libdir/libmpeg.la
%_libdir/libnoatun.la
%_libdir/libnoatunarts.la
%_libdir/libnoatuncontrols.la
%_libdir/libaudiofilearts.la
%_libdir/libworkman.la
%_libdir/libyafcore.la
%_libdir/libyafxplayer.la
%_libdir/libnoatuntags.la
#%_libdir/libdummy.la
%_libdir/libwinskinvis.la
%_libdir/krec.la
%_libdir/libarts_xine.la
#
%_libdir/kde3/*.la
%_libdir/kde3/*.so*
#
%_libdir/kaboodle.so
%_libdir/kmix.so
%_libdir/kmixctrl.so
%_libdir/libarts_mpeglib-0.3.0.so*
%_libdir/libarts_mpeglib.so*
%_libdir/libarts_splay.so*
%_libdir/libartsbuilder.so*
%_libdir/libartseffects.so
%_libdir/libartsgui.so*
%_libdir/libartsgui_idl.so*
%_libdir/libartsgui_kde.so*
%_libdir/libartsmidi.so*
%_libdir/libartsmidi_idl.so*
%_libdir/libartsmodules.so*
%_libdir/libmpeg-0.3.0.so*
%_libdir/libmpeg.so
%_libdir/libnoatun.so*
%_libdir/libnoatunarts.so
%_libdir/libnoatuncontrols.so*
%_libdir/libaudiofilearts.so*
%_libdir/libwinskinvis.so
%_libdir/libworkman.so*
%_libdir/libyafcore.so*
%_libdir/libyafxplayer.so*
#%_libdir/libdummy.so*
%_libdir/libnoatuntags.so*
%_libdir/krec.so*
%_libdir/libarts_xine.so*

#
#
%dir %_libdir/mcop/
%_libdir/mcop/*.mcopclass
%_libdir/mcop/*.mcoptype
#
%dir %_libdir/mcop/Arts/
%_libdir/mcop/Arts/*.mcopclass
#
%dir %_libdir/mcop/Noatun/
%_libdir/mcop/Noatun/*.mcopclass
#
%dir %_libdir/mcop/Arts/Environment/
%_libdir/mcop/Arts/Environment/*.mcopclass
#
#
%_menudir/*
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/.hidden/
%_datadir/applnk/.hidden/*.desktop

%dir %_datadir/applnk/Multimedia/       
%_datadir/applnk/Multimedia/artsbuilder.desktop
%_datadir/applnk/Multimedia/artscontrol.desktop
%_datadir/applnk/Multimedia/kmid.desktop
%_datadir/applnk/Multimedia/kmidi.desktop
%_datadir/applnk/Multimedia/kmix.desktop
%_datadir/applnk/Multimedia/kscd.desktop
%_datadir/applnk/Multimedia/noatun.desktop
%_datadir/applnk/Multimedia/timidity.desktop
%_datadir/applnk/Multimedia/kaboodle.desktop
%_datadir/applnk/Multimedia/kaudiocreator.desktop
%_datadir/applnk/Multimedia/krec.desktop
#
#
%dir %_datadir/applnk/Settings/
#%dir %_datadir/applnk/Settings/Sound/
#%_datadir/applnk/Settings/Sound/kmixcfg.desktop

%dir %_datadir/applnk/Settings/Sound/
%_datadir/applnk/Settings/Sound/audiocd.desktop

#
%dir %_datadir/applnk/Multimedia/More/
%_datadir/applnk/Multimedia/More/artsbuilder.desktop
%_datadir/applnk/Multimedia/More/artscontrol.desktop
%_datadir/applnk/Multimedia/More/kaboodle.desktop
%_datadir/applnk/Multimedia/More/kmid.desktop
%_datadir/applnk/Multimedia/More/kmidi.desktop
%_datadir/applnk/Multimedia/More/timidity.desktop

#
#
%dir %_datadir/apps/
%dir %_datadir/apps/artsbuilder/
%_datadir/apps/artsbuilder/*.rc
%dir %_datadir/apps/artsbuilder/examples/
%_datadir/apps/artsbuilder/examples/README
%_datadir/apps/artsbuilder/examples/*.arts
%_datadir/apps/artsbuilder/examples/*.arts-map
#
%dir %_datadir/apps/artsbuilder/examples/todo/
%_datadir/apps/artsbuilder/examples/todo/*.arts
#
%dir %_datadir/apps/artsbuilder/pics/
%_datadir/apps/artsbuilder/pics/*.xpm
#
#
%dir %_datadir/apps/artscontrol/
%_datadir/apps/artscontrol/*.rc
#
#
%dir %_datadir/apps/kicker/
%dir %_datadir/apps/kicker/applets/
%_datadir/apps/kicker/applets/*.desktop
#
#
%dir %_datadir/apps/kaboodle/
%_datadir/apps/kaboodle/*.rc
#


%dir %_datadir/apps/kaboodle/icons/
%dir %_datadir/apps/kaboodle/icons/crystalsvg/
%dir %_datadir/apps/kaboodle/icons/crystalsvg/16x16/
%dir %_datadir/apps/kaboodle/icons/crystalsvg/16x16/actions/
%_datadir/apps/kaboodle/icons/crystalsvg/16x16/actions/*.png
#
%dir %_datadir/apps/kaboodle/icons/crystalsvg/22x22/
%dir %_datadir/apps/kaboodle/icons/crystalsvg/22x22/actions/
%_datadir/apps/kaboodle/icons/crystalsvg/22x22/actions/*.png


#
#
%dir %_datadir/apps/kconf_update/
%_datadir/apps/kconf_update/noatun20update
%_datadir/apps/kconf_update/noatun.upd
#
#
%dir %_datadir/apps/kmid/
%_datadir/apps/kmid/*.kar
%_datadir/apps/kmid/*.rc
#
%dir %_datadir/apps/kmid/fm/
%_datadir/apps/kmid/fm/*.o3
%_datadir/apps/kmid/fm/*.sb
#
%dir %_datadir/apps/kmid/icons/
%_datadir/apps/kmid/icons/*.xpm
#
%dir %_datadir/apps/kmid/icons/crystalsvg/
%dir %_datadir/apps/kmid/icons/crystalsvg/16x16/
%dir %_datadir/apps/kmid/icons/crystalsvg/16x16/actions/
%_datadir/apps/kmid/icons/crystalsvg/16x16/actions/*.png
#
%dir %_datadir/apps/kmid/icons/crystalsvg/22x22/
%dir %_datadir/apps/kmid/icons/crystalsvg/22x22/actions/
%_datadir/apps/kmid/icons/crystalsvg/22x22/actions/*.png
#
%dir %_datadir/apps/kmid/icons/crystalsvg/32x32/
%dir %_datadir/apps/kmid/icons/crystalsvg/32x32/actions/
%_datadir/apps/kmid/icons/crystalsvg/32x32/actions/*.png
#

#
%dir %_datadir/apps/kmid/maps/
%_datadir/apps/kmid/maps/*.map
#
#
%dir %_datadir/apps/kmidi/
%dir %_datadir/apps/kmidi/config/
%_datadir/apps/kmidi/config/*.cfg
%_datadir/apps/kmidi/config/*-voices
%_datadir/apps/kmidi/config/drums
%_datadir/apps/kmidi/config/guitar
%_datadir/apps/kmidi/config/megadrum
%_datadir/apps/kmidi/config/megainst
%_datadir/apps/kmidi/config/piano
%_datadir/apps/kmidi/config/piano+guitar
%_datadir/apps/kmidi/config/sound-canvas-drums
#
%dir %_datadir/apps/kmidi/config/BITMAPS/
%_datadir/apps/kmidi/config/BITMAPS/*.xbm
#
%dir %_datadir/apps/kmidi/config/patch/
%_datadir/apps/kmidi/config/patch/*.pat
#
%dir %_datadir/apps/kmidi/pics/
%_datadir/apps/kmidi/pics/*.png
#
#
%dir %_datadir/apps/kmix/
%_datadir/apps/kmix/*.rc
#
%dir %_datadir/apps/kmix/pics/
%_datadir/apps/kmix/pics/*.png
#
#
%dir %_datadir/apps/kscd/
#%dir %_datadir/apps/kscd/cddb/
#%dir %_datadir/apps/kscd/cddb/blues/
#
#%dir %_datadir/apps/kscd/cddb/classical/
#
#%dir %_datadir/apps/kscd/cddb/country/
#
#%dir %_datadir/apps/kscd/cddb/data/
#
#%dir %_datadir/apps/kscd/cddb/folk/
#
#%dir %_datadir/apps/kscd/cddb/jazz/
#
#%dir %_datadir/apps/kscd/cddb/misc/
#
#%dir %_datadir/apps/kscd/cddb/newage/
#
#%dir %_datadir/apps/kscd/cddb/reggae/
#
#%dir %_datadir/apps/kscd/cddb/rock/
#
#%dir %_datadir/apps/kscd/cddb/soundtrack/
#
%dir %_datadir/apps/kscd/pics/
%_datadir/apps/kscd/pics/*.xpm
#
#
%dir %_datadir/apps/noatun/
%_datadir/apps/noatun/*.plugin
%_datadir/apps/noatun/*.rc
%_datadir/apps/noatun/magictable
#
%dir %_datadir/apps/noatun/eq.preset/
%_datadir/apps/noatun/eq.preset/*.dance
%_datadir/apps/noatun/eq.preset/*.jazz
%_datadir/apps/noatun/eq.preset/*.metal
%_datadir/apps/noatun/eq.preset/*.trance
%_datadir/apps/noatun/eq.preset/*.zero
#
%dir %_datadir/apps/noatun/icons/
%dir %_datadir/apps/noatun/icons/crystalsvg/
%dir %_datadir/apps/noatun/icons/crystalsvg/16x16/
%dir %_datadir/apps/noatun/icons/crystalsvg/16x16/actions/
%_datadir/apps/noatun/icons/crystalsvg/16x16/actions/*.png
#
%dir %_datadir/apps/noatun/icons/crystalsvg/22x22/
%dir %_datadir/apps/noatun/icons/crystalsvg/22x22/actions/
%_datadir/apps/noatun/icons/crystalsvg/22x22/actions/*.png
#
%dir %_datadir/apps/noatun/icons/crystalsvg/32x32/
%dir %_datadir/apps/noatun/icons/crystalsvg/32x32/actions/
%_datadir/apps/noatun/icons/crystalsvg/32x32/actions/*.png
#
%dir %_datadir/apps/noatun/icons/crystalsvg/48x48/
%dir %_datadir/apps/noatun/icons/crystalsvg/48x48/actions/
%_datadir/apps/noatun/icons/crystalsvg/48x48/actions/*.png
#
#%dir %_datadir/apps/noatun/kjskins/
#
#
#
#
%dir %_datadir/apps/noatun/skins/
%dir %_datadir/apps/noatun/skins/kaiman/
%dir %_datadir/apps/noatun/skins/kaiman/car-preset/
%_datadir/apps/noatun/skins/kaiman/car-preset/*.png
%_datadir/apps/noatun/skins/kaiman/car-preset/skindata
#
%dir %_datadir/apps/noatun/skins/kaiman/circle/
%_datadir/apps/noatun/skins/kaiman/circle/*.png
%_datadir/apps/noatun/skins/kaiman/circle/skindata
#
%dir %_datadir/apps/noatun/skins/kaiman/k9/
%_datadir/apps/noatun/skins/kaiman/k9/README
%_datadir/apps/noatun/skins/kaiman/k9/*.jpg
%_datadir/apps/noatun/skins/kaiman/k9/*.png
%_datadir/apps/noatun/skins/kaiman/k9/skindata
#
#
%dir %_datadir/apps/noatun/skins/winamp/
%dir %_datadir/apps/noatun/skins/winamp/Winamp/

%_datadir/apps/noatun/skins/winamp/Winamp/*.BMP
%_datadir/apps/noatun/skins/winamp/Winamp/*.TXT
#
#
%dir %_datadir/apps/noatun/skins/kjofol
%dir %_datadir/apps/noatun/skins/kjofol/HexoBronx/
%_datadir/apps/noatun/skins/kjofol/HexoBronx/*.rc
%_datadir/apps/noatun/skins/kjofol/HexoBronx/*.txt
%_datadir/apps/noatun/skins/kjofol/HexoBronx/*.png

%dir %_datadir/apps/noatun/skins/kjofol/
%dir %_datadir/apps/noatun/skins/kjofol/kjofol/
%_datadir/apps/noatun/skins/kjofol/kjofol/*.dck
%_datadir/apps/noatun/skins/kjofol/kjofol/*.pl
%_datadir/apps/noatun/skins/kjofol/kjofol/*.rc
%_datadir/apps/noatun/skins/kjofol/kjofol/*.wsh
%_datadir/apps/noatun/skins/kjofol/kjofol/*.png
%_datadir/apps/noatun/skins/kjofol/kjofol/*.bmp

%dir %_datadir/apps/noatun/skins/kjofol/phong/
%_datadir/apps/noatun/skins/kjofol/phong/*.dck
%_datadir/apps/noatun/skins/kjofol/phong/*.rc
%_datadir/apps/noatun/skins/kjofol/phong/*.txt
%_datadir/apps/noatun/skins/kjofol/phong/*.wsh
%_datadir/apps/noatun/skins/kjofol/phong/*.png

%dir %_datadir/apps/noatun/skins/kjofol/vibrocentric/
%_datadir/apps/noatun/skins/kjofol/vibrocentric/*.png
%_datadir/apps/noatun/skins/kjofol/vibrocentric/*.dck
%_datadir/apps/noatun/skins/kjofol/vibrocentric/*.rc
%_datadir/apps/noatun/skins/kjofol/vibrocentric/*.txt
%_datadir/apps/noatun/skins/kjofol/vibrocentric/*.wsh

%dir %_datadir/apps/krec/
%_datadir/apps/krec/*.rc
%_datadir/apps/krec/tips

%dir %_datadir/apps/krec/icons/
%dir %_datadir/apps/krec/icons/crystalsvg/
%dir %_datadir/apps/krec/icons/crystalsvg/16x16/
%dir %_datadir/apps/krec/icons/crystalsvg/16x16/actions/
%_datadir/apps/krec/icons/crystalsvg/16x16/actions/*.png
%dir %_datadir/apps/krec/icons/crystalsvg/22x22/
%dir %_datadir/apps/krec/icons/crystalsvg/22x22/actions/
%_datadir/apps/krec/icons/crystalsvg/22x22/actions/*.png
%dir %_datadir/apps/krec/icons/crystalsvg/32x32/
%dir %_datadir/apps/krec/icons/crystalsvg/32x32/actions/
%_datadir/apps/krec/icons/crystalsvg/32x32/actions/*.png
%dir %_datadir/apps/krec/icons/crystalsvg/32x32/mimetypes/
%_datadir/apps/krec/icons/crystalsvg/32x32/mimetypes/*.png


%dir %_datadir/apps/kaudiocreator/
%_datadir/apps/kaudiocreator/*.rc
%dir %_datadir/apps/kaudiocreator/pics/
%_datadir/apps/kaudiocreator/pics/*.png

#%dir %_datadir/apps/videothumbnail/
#%_datadir/apps/videothumbnail/*.png

#
%dir %_iconsdir/locolor/
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png
#
#



%dir %_iconsdir/crystalsvg/
%dir %_iconsdir/crystalsvg/16x16/
%dir %_iconsdir/crystalsvg/16x16/apps/
%_iconsdir/crystalsvg/16x16/apps/*.png
#
%dir %_iconsdir/crystalsvg/16x16/actions/
%_iconsdir/crystalsvg/16x16/actions/*.png
#
%dir %_iconsdir/crystalsvg/22x22/
%dir %_iconsdir/crystalsvg/22x22/apps/
%_iconsdir/crystalsvg/22x22/apps/*.png
#
%dir %_iconsdir/crystalsvg/22x22/actions/
%_iconsdir/crystalsvg/22x22/actions/*.png
#
%dir %_iconsdir/crystalsvg/32x32/
%dir %_iconsdir/crystalsvg/32x32/apps/
%_iconsdir/crystalsvg/32x32/apps/*.png
#
%dir %_iconsdir/crystalsvg/48x48/
%dir %_iconsdir/crystalsvg/48x48/apps/
%_iconsdir/crystalsvg/48x48/apps/*.png
#
%dir %_iconsdir/crystalsvg/64x64/
%dir %_iconsdir/crystalsvg/64x64/apps/
%_iconsdir/crystalsvg/64x64/apps/*.png

%dir %_iconsdir/crystalsvg/128x128/
%dir %_iconsdir/crystalsvg/128x128/apps/
%_iconsdir/crystalsvg/128x128/apps/*.png


#
#
%dir %_datadir/mimelnk/
%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/*.desktop
#
#
%dir %_datadir/mimelnk/audio/
%_datadir/mimelnk/audio/*.desktop
#
#
%dir %_datadir/mimelnk/text/
%_datadir/mimelnk/text/*.desktop

%dir %_datadir/mimelnk/interface/
%_datadir/mimelnk/interface/*.desktop

#
#
#
%dir %_datadir/services/
%_datadir/services/*.desktop
#
#
#
%dir %_datadir/servicetypes/
%_datadir/servicetypes/*.desktop





%_datadir/icons/locolor/16x16/apps/kaudiocreator.png

%_datadir/services/*.protocol




%files aktion
%defattr(-,root,root)
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/aktion/
%doc %_docdir/HTML/en/aktion/common
%doc %_docdir/HTML/en/aktion/*.docbook
%doc %_docdir/HTML/en/aktion/*.png
%doc %_docdir/HTML/en/aktion/*.bz2
#
#
#
%_bindir/aktion
#
#
#
%_libdir/libaktion.la
#
#
%_libdir/libaktion.so*
#
#
%dir %_datadir/applnk/Multimedia/More/
%_datadir/applnk/Multimedia/More/aktion.desktop
#
#%menudir/kdemultimedia-aktion
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Multimedia/
%_datadir/applnk/Multimedia/aktion.desktop
#
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/aktion/
%_datadir/apps/aktion/*.rc
#
#
%dir %_datadir/apps/aktion/toolbar/
%_datadir/apps/aktion/toolbar/*.png
#
#
#
%dir %_datadir/config/
%config(noreplace) %_datadir/config/aktionrc




%files devel
%defattr(-,root,root,-)
%_includedir/*.h
#
#
%dir %_includedir/arts/
%_includedir/arts/*.h
%_includedir/arts/*.idl
#
#
%dir %_includedir/mpeglib/
%dir %_includedir/mpeglib/decoder/
%_includedir/mpeglib/decoder/*.h
#
%dir %_includedir/mpeglib/frame/
%_includedir/mpeglib/frame/*.h
#
%dir %_includedir/mpeglib/input/
%_includedir/mpeglib/input/*.h
#
%dir %_includedir/mpeglib/mpegutil/
%_includedir/mpeglib/mpegutil/*.h
#
%dir %_includedir/mpeglib/oggvorbis/
%_includedir/mpeglib/oggvorbis/*.h
#
%dir %_includedir/mpeglib/output/
%_includedir/mpeglib/output/*.h
#
%dir %_includedir/mpeglib/splay/
%_includedir/mpeglib/splay/*.h
#
%dir %_includedir/mpeglib/util/
%_includedir/mpeglib/util/*.h
#
#
%dir %_includedir/mpeglib/util/abstract/
%_includedir/mpeglib/util/abstract/*.h
#
%dir %_includedir/mpeglib/util/file/
%_includedir/mpeglib/util/file/*.h
#
%dir %_includedir/mpeglib/util/render/
%_includedir/mpeglib/util/render/*.h
#
%dir %_includedir/mpeglib/util/yaf/
%dir %_includedir/mpeglib/util/yaf/yafcore/
%_includedir/mpeglib/util/yaf/yafcore/*.h
#
%dir %_includedir/mpeglib/util/yaf/yafxplayer/
%_includedir/mpeglib/util/yaf/yafxplayer/*.h
#
%dir %_includedir/mpeglib/util/mmx/
%_includedir/mpeglib/util/mmx/*.h
#
%dir %_includedir/mpeglib_artsplug/
%_includedir/mpeglib_artsplug/*.h
%_includedir/mpeglib_artsplug/*.idl
#
#
%dir %_includedir/noatun/
%_includedir/noatun/*.h



%changelog
* Wed Mar 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-10mdk
- Add patch5 : fix from kde3.1 branch
fix kaboodle :" don't jump every second"
Fix kscd

* Sun Feb 23 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-9mdk
- Update code

* Wed Feb 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-8mdk
- Update code fix kaudiocreator bug

* Tue Feb 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-7mdk
- Update code ( remove midi files )

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-6mdk
- Update code ( fix kscd bug )

* Thu Feb 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Update code

* Tue Feb 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- Update code fix kscd (Bug 53935)

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Update code from kde_3_1_branch fix kscd dialog box bug, fix detect alsa version

* Fri Jan 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Add patch4 : fix kscd (don't stop playing on the next track after pressing next)

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- 3.1

* Fri Jan 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.6mdk
- Add patch3 : remove mem leak

* Wed Jan 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.5mdk
- Remove debug

* Mon Jan 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.4mdk
- Add patch2 : fix mem leak in arts

* Fri Jan 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.3mdk
- Apply Gwenole patch "Make it lib64 aware"

* Tue Jan 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Add patch16 : sync config and default value in kcontrol->audiocd

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Thu Dec 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.2mdk
- Fix menu entry (audiocd)

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5

* Wed Nov 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.2mdk
- Fix description thanks to "Yura Gusev" <elendal-sub@polygonized.com> 

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- rc2

* Thu Oct 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.2mdk
- Fix missing files

* Thu Oct 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- rc1

* Mon Oct 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.2mdk
- Fix menu entry

* Wed Oct 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- beta2

* Sat Oct 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4

* Thu Sep 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-7mdk
- Add patch15 : fix noatun patch from Maks Orlovich <mo002j@mail.rochester.edu>

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-6mdk
- Add patch14 : fix kscd mem leak

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Add patch13 : Improve kaboodle patch

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Add patch12 : fix crash when kaboodle is embedded into konqueror 

* Wed Aug 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Add patch10 : fix select arts module with double click in artsbuilder
- Add patch11 : fix artbuilder mem leak ( 3 mem leak )

* Mon Aug 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add patch8 : fix mem leak in koncd
- Add patch9 : fix mem leak in kmix -> kcontrol

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-5mdk
- Rebuild against gcc-3.2
- Disable debuggage

* Mon Jul 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-4mdk
- Remove requires on xanim

* Mon Jul 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-3mdk
- Add conflict TiMidity++

* Fri Jul 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Add patch7 : fix compile on ix64
- Rebuild against gcc-3.2

* Sat Jun 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Sun Jun 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-7mdk
- Patch4: fix makefile.am in kmidi patch from David Faure.
- Patch5: Other fix in Makefile.am for kmidi/BIPMAPS patch from David Faure
- Patch6: Other fix in Makefile.am for kmidi patch from David Faure

* Sat Jun 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-6mdk
- Reactivate debug

* Wed May 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-5mdk
- Rebuid with libstdc++3.1

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- Fix provide/obsoletes

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- fix menu entry

* Thu May 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- rebuild

* Sat May 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1

* Fri May 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-7mdk
- Rebuild aginst gcc3.1
- Add patch3 fix compile on gcc 3.1 patch by "MDK gcc man" gwenole thanks a lot !
- Add patch2 fix other compile problem on gcc3.1

* Sat Apr 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-6mdk
- Desactivate alsa support for 8.3 for the moment kmix doesn't compile
with alsa0.9

* Sat Apr 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-6mdk
- rebuild against libalsa2

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-5mdk
- Fix spec file

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Fix spec file

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Fix noatun bugs

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Fix update menu

* Thu Mar 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- fix spec

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Fri Mar 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.4mdk
- rebuild

* Sat Feb 09 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.3mdk
- Add missing files

* Fri Feb 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.2mdk
- add patch1 fix compile

* Sat Feb 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sat Jan 05 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.4mdk
- Remove 7.2 support (too old to be easily supported)
- Don't build static libraries
- Allow KDE 2 and KDE 3 to be installed in same time
- Remove KDE 2's changelogs (KDE 2 and KDE 3 spec files have a separate life
  now)
- Add missing files
- Fix Group:

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.3mdk
- Rename to allow KDE 2 and KDE 3 to be installed in same time

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-3mdk
- kde 3.0 beta1

* Thu Nov 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improved spec file

* Sat Nov 24 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0
